# https://github.com/pydata/numexpr/archive/v2.6.2.tar.gz
%define	module numexpr
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:		        python-%{module}
Version:	      2.6.2
Release:	      %mkrel 1
Summary:        Fast numerical array expression evaluator for Python and NumPy

License:	      MIT
Group:		      Development/Python
Url:		        https://github.com/pydata/numexpr
Source0:        %{module}-%{version}.tar.xz

BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:  python-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-setuptools
Requires:	      python-numpy

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%package -n python3-%{module}
Summary:	      Fast numerical array expression evaluator for Python3 and NumPy
Group:		      Development/Python
Requires:	      python3-numpy

%description -n python3-%{module}
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%setup -qn %{module}-%{version}
sed -i "s|/usr/bin/env |/usr/bin/|" %{module}/cpuinfo.py

%build
%py3_build
%py2_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst LICENSE.txt
%{python2_sitearch}/*

%files -n python3-%{module}
%doc ANNOUNCE.rst RELEASE_NOTES.rst README.rst LICENSE.txt
%{python3_sitearch}/*

%changelog
* Wed Jul 11 2018 adrianomorselli <adrianomorselli> 2.6.2-1uplos2018
- update
